##################################################################################
######## SECTION 1: THIS SECTION DOWNLOADS ALL REPLICATION DATA ONTO A LOCAL FOLDER
##################################################################################

dir <- paste(getwd(), "/Chen_Replication_Code",sep="")
dir.create(dir)
print(paste("ALL REPLICATION CODE WILL BE DOWNLOADED TO THE FOLLOWING FOLDER:",dir))

##DOWNLOAD THE SHAPEFILES FOR DADE COUNTY, IF NECESSARY
CountyFolder <- paste(dir, "/DadeCounty",sep="")
Countydbffile <- paste(CountyFolder,"/Dade_CompactPlans.dbf",sep="")
if (!file.exists(Countydbffile)){
	Duvallzipfile <- "http://www.umich.edu/~jowei/UnintentionalGerrymandering/DadeCounty.zip"
	LocalDadeZipped <- paste(dir,"/DadeCounty.zip",sep="")
	download.file(Dadezipfile, LocalDadeZipped)
	unzip(LocalDadeZipped, exdir=dir)
}

######## DOWNLOADING OF REPLICATION DATA ENDS HERE


#####################################################################
######## SECTION 2: COMPACT SIMULATED DISTRICTING PLANS FOR DADE COUNTY
#####################################################################
library(maptools)
library(plotrix)
library(gpclib)
gpclibPermit()
cs <- rep(c(2:8),2000) ##no black colors

library(foreign)



############### DRAW COMPACT PLANS

xn <- readShapePoly(paste(CountyFolder,"/Dade_CompactPlans.shp",sep=""))

proj4string(xn) <- "+proj=longlat +datum=WGS84"
plans <- dim(xn)[2]-15 ##TOTAL NUMBER OF SIMULATED PLANS


d <- as.data.frame(xn)


##postscript(paste(dir,"/Appendix_A3_PlanExamples.eps",sep=""), width=6, height=4, horizontal=FALSE)

layout(   matrix(c(1:6), 2,3,byrow=TRUE), widths=c(1,1) )

for (plan in 1:6){
##plan <- 8
par(mar=c(0,0,0,0))
##### Show Miami Precincts for plan "plan"
plot(xn, axes=FALSE, border="black", col=cs[d[,(24+plan)]], ylim=c(25.16,25.98), xlim=c(-80.9,-80.1))

}

##dev.off()


