##################################################################################
######## SECTION 1: THIS SECTION DOWNLOADS ALL REPLICATION DATA ONTO A LOCAL FOLDER
##################################################################################

dir <- paste(getwd(), "/Chen_Replication_Code",sep="")
dir.create(dir)
print(paste("ALL REPLICATION CODE WILL BE DOWNLOADED TO THE FOLLOWING FOLDER:",dir))

##DOWNLOAD THE SHAPEFILES FOR DUVALL COUNTY, IF NECESSARY
CountyFolder <- paste(dir, "/DuvallCounty",sep="")
Countydbffile <- paste(CountyFolder,"/Duvall_CompactPlans.dbf",sep="")
if (!file.exists(Countydbffile)){
	Duvallzipfile <- "http://www.umich.edu/~jowei/UnintentionalGerrymandering/DuvallCounty.zip"
	LocalDuvallZipped <- paste(dir,"/DuvallCounty.zip",sep="")
	download.file(Duvallzipfile, LocalDuvallZipped)
	unzip(LocalDuvallZipped, exdir=dir)
}


######## DOWNLOADING OF REPLICATION DATA ENDS HERE


#####################################################################
######## SECTION 2: COMPACT SIMULATED DISTRICTING PLANS FOR DUVALL COUNTY
#####################################################################
library(maptools)
library(plotrix)
library(gpclib)
gpclibPermit()
cs <- rep(c(2:8),2000) ##no black colors

library(foreign)



############### DRAW COMPACT PLANS FOR DUVALL COUNTY


xn <- readShapePoly(paste(CountyFolder,"/Duvall_CompactPlans.shp",sep=""))

proj4string(xn) <- "+proj=longlat +datum=WGS84"
plans <- dim(xn)[2]-15 ##TOTAL NUMBER OF SIMULATED PLANS
d <- as.data.frame(xn)


##postscript(paste(dir,"/Appendix_A5_PlanExamples.eps",sep=""), width=6, height=4, horizontal=FALSE)

layout(   matrix(c(1:6), 2,3,byrow=TRUE), widths=c(1,1) )

for (plan in 1:6){
par(mar=c(0,0,0,0))

##### Show Duvall Precincts
plot(xn, axes=FALSE, border="black", col=cs[d[,(24+plan)]], ylim=c(30.1,30.6), xlim=c(-82.1,-81.4))

}

##dev.off()




